LibreOffice: XJob Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XJob Interface Reference

specifies a job which is to be executed synchronously More...

`import <XJob.idl;`

Inheritance diagram for XJob:

## Public Member Functions
any | execute ([in] sequence< com::sun::star::beans::NamedValue > Arguments) raises ( com::sun::star::lang::IllegalArgumentException , com::sun::star::uno::Exception )
| executes the job synchronously
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a job which is to be executed synchronously

Instead of XAsyncJob the implementation of this interface will be executed synchronously every time. That means: they can be sure that the current stack context will be blocked till this job finish it's work.

See also
  XAsyncJob

Developers Guide
  Writing UNO Components - Jobs - Implementation

## Member Function Documentation

## ◆ execute()

any execute | ( | [in] sequence< com::sun::star::beans::NamedValue > | Arguments | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ,
|  | com::sun::star::uno::Exception ) |  |  |

executes the job synchronously

Parameters

  Arguments | are arguments for executing the job. Their semantics is completely implementation dependent. Usually, a concrete implementation of a job specifies in its service descriptions which parameters are allowed (or expected). This values are persistent by the configuration of theJobExecutor which use this synchronous job. It's possible to write it back by use special protocol in return value.

Returns
  the result of the job. The concrete semantics is service-dependent. But it should be possible to
  - deregister the job
  - let him registered although execution was successful(!)
  - make some job specific data persistent inside the job configuration which is provided by the executor.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if some of given arguments doesn't fill out the service specification or was corrupt so the service couldn't work correctly
  com::sun::star::uno::Exception | to notify the executor about failed operation; otherwise the return value indicates a successful finishing.

The documentation for this interface was generated from the following files:

- com/sun/star/task/XJob.idl
- /build/libreoffice-fresh/src/libreoffice-24.8.0.3/odk/docs/idl/generated_idl_chapter_refs.idl